Package Details: appmenu-qt5-bzr r40-1

Git Clone URL: https://aur.archlinux.org/appmenu-qt5-bzr.git (read-only)
Package Base: appmenu-qt5-bzr
Description: Qt5-compatible approach of the existing appmenu-qt.
Upstream URL: https://launchpad.net/appmenu-qt5
Licenses: GPL
Conflicts: appmenu-qt5
Submitter: maz-1
Maintainer: None
Last Packager: zyldragoon
Votes: 9
Popularity: 0.164098
First Submitted: 2015-10-16 11:22
Last Updated: 2016-04-23 18:39

Latest Comments

1 2 Next › Last »

g99 commented on 2018-05-23 00:45

I wish someone would document what this packg is even doing.

sergey.orloff commented on 2017-11-22 07:46

==> Обновлённая версия: 'appmenu-qt5-bzr r52-1'
==> Запускается build()...
Info: creating stash file /build/appmenu-qt5-bzr/src/build/.qmake.stash
cd src/ && ( test -e Makefile || /usr/bin/qmake-qt5 -o Makefile /build/appmenu-qt5-bzr/src/appmenu-qt5/src/src.pro ) && make -f Makefile
Project ERROR: Could not find feature stack-protector-strong.
make: *** [Makefile:45: sub-src-make_first] Ошибка 3
==> ОШИБКА: Произошел сбой в build().

joelongjiamian commented on 2017-06-05 18:58

It seems like we need to do the following (see https://github.com/KDAB/virtual-keyboard-demo/commit/2f30778b80470d87c807758122fe230dca4a2977):

1. Move all PLUGIN_* directives and load(qt_plugin) to the end of src.pro
2. Insert load(qt_build_config) in .qmake.conf
3. Not related: there seems to be a typo in the PKGBUILD as to the location of libappmenu-qt5.so when it is finally built.

I am able to install this package after fixing all of these.

Suzamax commented on 2017-05-04 22:34

@sarithis it doesn't work :/ problem relies above, in the load(qt_config). Don't know how this will be fixed either :/

Sarithis commented on 2017-04-15 23:00

If you're getting the "Project ERROR: Could not find feature reduce_exports." error, just replace "platformsupport-private" with "theme_support-private" in src/src/src.pro

notuxius commented on 2017-02-28 16:26

errors upon build:

==> Starting build()...
Info: creating stash file /tmp/yaourt-tmp-not/aur-appmenu-qt5-bzr/src/build/.qmake.stash
cd src/ && ( test -e Makefile || /usr/bin/qmake-qt5 -o Makefile /tmp/yaourt-tmp-not/aur-appmenu-qt5-bzr/src/appmenu-qt5/src/src.pro ) && make -f Makefile
Project ERROR: Could not find feature reduce_exports.
make: *** [Makefile:43: sub-src-make_first] Error 3
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build appmenu-qt5-bzr.

sergey.orloff commented on 2017-02-26 06:25

Hello!

I encountered a problem appmenu-qt5 qt5ct and simultaneous use.

In the configuration file ~/.profile,
these two lines are not capable of working simultaneously:
export QT_QPA_PLATFORMTHEME=appmenu-qt5
export QT_QPA_PLATFORMTHEME="qt5ct"

The result is
1) or qt5ct use to customize design qt applications
2) or the use of appmenu-qt5 to implement the global menu bar.

Is it possible to solve such a conflict?
I would be very grateful for the answer.

Best regards, Sergey.

dark-saber commented on 2016-11-23 14:08

You may consider recompiling this package after updating to tslib 1.2, otherwise you may experience segmentation faults in various Qt5 applications.

zyldragoon commented on 2016-04-21 05:16

added gtk2 dep
updated url

oi_wtf commented on 2016-03-16 10:03

dependency gtk2 missing...
I dont know if it's just a makedep or a dep, but please add it.


==> Starting prepare()...
==> Starting pkgver()...
==> Starting build()...
cd src/ && ( test -e Makefile || /usr/bin/qmake-qt5 /build/appmenu-qt5-bzr/src/appmenu-qt5/src/src.pro -o Makefile ) && make -f Makefile
Project ERROR: gtk+-2.0 development package not found
Makefile:42: recipe for target 'sub-src-make_first' failed
make: *** [sub-src-make_first] Error 3